<?php
session_start();
if (!isset($_SESSION['vem'])) {
    header('Location: login.php');
    exit;
}
include "config.php";
?>
<!DOCTYPE html>

<html lang="pt-br">

<head>

    <?php include "includes/header.php"; ?>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css">
    
    

</head>

<body style="background-color: #ffffff;overflow: hidden;" class="vh-100 m-0">

    <!-- navbar -->

    <div class="container">
        <div class="row justify-content-center mt-5">
            <div class="col-12 text-center">
                <h1 class="text-dark"><i class='fas fa-envelope-open me-2'></i>Validaçao de Conta</h1>

            </div>
        </div>
        <div class="row justify-content-center mt-2">
            <div class="col-12 text-center">
                <h5 class="text-dark">Digite o código de validação enviado para o e-mail:
                    <strong><?php echo $_SESSION['vem']; ?></strong></h5>
                <h5 class="text-dark">Caso não tenha recebido, clique <a href="rest/reenviacodigo.php" class="text-primary">aqui</a> para reenviar o código.</h5>
                </h5>
            </div>
    </div>
    <div class="container py-3" style="top:40% !important;position:absolute !important;">
        <form class="text-center">

            <div class="row justify-content-center mx-auto  w-100">
                <div class="col-2  m-1">
                    <input class="form-control w-100 box" onkeyup="campos('d1')" maxlength="1" type="text" value="" name="d1" id="d1" required>


                </div>

                <div class="col-2  m-1">
                    <input class="form-control w-100 box"  onkeyup="campos('d2')" maxlength="1" type="text" value="" name="d2" id="d2" required>


                </div>
                <div class="col-2  m-1">
                    <input class="form-control w-100 box"  onkeyup="campos('d3')"  maxlength="1" type="text" value="" name="d3" id="d3" required>


                </div>
                <div class="col-2  m-1">
                    <input class="form-control w-100 box"  onkeyup="campos('d4')" maxlength="1" type="text" value="" name="d4" id="d4" required>


                </div>
                <div class="col-2  m-1">
                    <input class="form-control w-100 box"  onkeyup="campos('d5')" maxlength="1" type="text" value="" name="d5" id="d5" required>


                </div>

            </div>
        </form>
    </div>


    <?php include "includes/libs.php"; ?>






  <script>

    $(document).ready(function() {
        // Initialize tooltips
        $('#d1').focus();
    });

    function campos(id) {
        //alert(id);

        if(id == 'd1') {
            $('#d1').focusout();
            $('#d2').focus();
        } else if(id == 'd2') {
            $('#d2').focusout();
            $('#d3').focus();
        } else if(id == 'd3') {
            $('#d3').focusout();
            $('#d4').focus();
        } else if(id == 'd4') {
            $('#d4').focusout();
            $('#d5').focus();
        } else if(id == 'd5') {
            $('#d5').focusout();
            //$('#btnlogin').click();
            var d1 = $('#d1').val();
            var d2 = $('#d2').val();
            var d3 = $('#d3').val();
            var d4 = $('#d4').val();
            var d5 = $('#d5').val();

            //alert(d1+d2+d3+d4+d5);
            pulse('Validando...');
            $.post('rest/validaopt.php', {
                opt: d1+d2+d3+d4+d5
            }, function(data) {
                //alert(data);
                if (data == 'ok') {
                    mensagem('Validado com sucesso !!', 'sucesso');
                    setTimeout(() => {
                        window.location.href = 'login.php';
                    }, 2000);
                } else if (data == 'erro') {
                    mensagem('Código inválido !!', 'erro');
                    removeloader();
                } else {
                    mensagem('Erro ao validar, tente novamente mais tarde !!' + data, 'erro');
                    removeloader();
                }
                $('form')[0].reset();
            });

            
           // $('#btnlogin').click();
        }
    }

  </script>



    <!-- <script>
        $(function() {
            // Initialize tooltips
            pulse('Carregando...');

        });

        $(document).ready(function() {

            var email = $('#email');
            var senha = $('#senha');

            var btnlogin = $('#btnlogin');
            email.val('');
            senha.val('');
            email.focus();

            removeloader();


            email.on('keypress', function(e) {
                if (e.which == 13) {
                    senha.focus();
                }
            });
            senha.on('keypress', function(e) {
                if (e.which == 13) {
                    btnlogin.click();
                }
            });

            $('form').submit(function(e) {
                e.preventDefault();

                if (email.val() == '') {
                    mensagem('Digite o e-mail de acesso !!', 'atencao');
                } else if (senha.val() == '') {
                    mensagem('Digite a senha de acesso !!', 'atencao');
                } else {
                    pulse('Logando...');

                    $.post('rest/logar.php', {
                        email: email.val(),
                        senha: senha.val()
                    }, function(data) {
                        //alert(data);
                        if (data == 'ok') {

                            mensagem('Logado com sucesso !!', 'sucesso');
                            setTimeout(() => {
                                window.location.href = 'index.php';
                            }, 2000);



                        } else if (data == 'invalido') {
                            mensagem('E-mail ou senha inválidos !!', 'erro');
                            removeloader();
                        } else {
                            mensagem('Erro ao logar, tente novamente mais tarde !!' + data, 'erro');
                            removeloader();
                        }
                        $('form')[0].reset();
                    });



                }

            });


            $('femail').submit(function(e) {
                e.preventDefault();
                var nome = $('#NOME').val();
                var email = $('#EMAIL').val();
                var senha = $('#SENHA').val();

                if (nome == '') {
                    mensagem('Digite o nome !!', 'atencao');
                } else if (email == '') {
                    mensagem('Digite o e-mail !!', 'atencao');
                } else if (senha == '') {
                    mensagem('Digite a senha !!', 'atencao');
                } else {
                    pulse('Validando...');

                    $.post('rest/opt.php', {
                        nome: nome,
                        email: email,
                        senha: senha
                    }, function(data) {
                        //alert(data);
                        if (data == 'ok') {


                            window.location.href = 'opt.php';



                        } else if (data == 'erro') {
                            mensagem('E-mail ou senha inválidos !!', 'erro');
                            removeloader();
                        } else {
                            mensagem('Erro ao validar, tente novamente mais tarde !!' + data, 'erro');
                            removeloader();
                        }
                        $('form')[0].reset();
                    });



                }

            });

            $('.forgot').click(function() {
                relembra();
            });

        });

        function removeloader() {
            Notiflix.Loading.remove(1923);
            // $('section').fadeIn(500);

        }
    </script> -->


</body>

</html>